@font-face {
    font-family: 'Vodafone';
    src: url('/asset/font/Vodafone-ExtraBold.woff2') format('woff2'),
    url('/asset/font/Vodafone-ExtraBold.woff') format('woff');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Vodafone';
    src: url('/asset/font/Vodafone-Bold.woff2') format('woff2'),
    url('/asset/font/Vodafone-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Vodafone';
    src: url('/asset/font/Vodafone.woff2') format('woff2'),
    url('/asset/font/Vodafone.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

html {
    padding: 0;
    margin: 0;
    background-color: #830002;
    height: 100%;
}

body {
    height: 100%;
    background-color: #830002;
    background: linear-gradient(112deg,rgba(131, 0, 2, 1) 0%, rgba(178, 0, 4, 1) 100%);
    color: #fff;
    font-size: 1rem;

    font-family: 'Vodafone';
    font-weight: 400;
    font-style: normal;
}

#root {
    z-index: 2; position: relative;
}

#decor-1 {
    position: absolute;
    top: 0;
    left: -10vw;
    width: 35vw;
    z-index: 1;
}

#decor-2 {
    position: absolute;
    bottom: 0;
    right: 0 ;
    width: 40vw;
    z-index: 1;
}

#decor-1 img, #decor-2 img {
    width: 100%;
}

.bold {
    font-weight: 700;
}

.bolder {
    font-weight: 800;
}

.text-shadow {
    text-shadow: 0px 3px 5px rgba(0,0,0,0.5);
}

.box-shadow {
    box-shadow: 0px 5px 15px 5px rgba(0,0,0,0.2);
}

.huge {
    font-size: 2.4rem;
    line-height: 2.7rem;
}

.small {
    font-size: 1.2rem;
    line-height: 1.4rem;
}

.normal {
    font-size: 1.2rem;
    line-height: 1.4rem;
}

.form-label {
    font-size: 1rem;
    margin-left: 20px;
}

#frm-register .form-control {
    font-size: 1.2rem;
    border-radius: 20px;
    padding: 10px 30px;
}

#center-text {
    width: 95vw;
}

#logo {
    max-height: 50px;
}

#btn-giris {
    width: 200px;
}

#btn-qa {
    width: 90px;
}

.form-holder {
    background-color: #cc8f8a;
    border-radius: 20px;
    padding: 20px;
}

.btn-qa, .btn-qa:hover{
    background: linear-gradient(90deg, #e60000 0%, #8b0000 100%);

    color: white !important;
    font-weight: 800;
    font-size: 1rem;

    border: 2px solid white;
    border-radius: 10px;

    box-shadow: -4px 6px 10px rgba(0, 0, 0, 0.4);

    padding: 8px 10px;
}

.gradient-input {
    /* 1. Set the width of your border using transparent color */
    border: 6px solid transparent;

    /* 2. Set the curve of the corners */
    border-radius: 10px;

    /* 3. The Magic: Two background layers */
    background-image:
            linear-gradient(white, white), /* Inner color (background of input) */
            linear-gradient(112deg,rgba(119, 21, 12, 1) 0%, rgba(251, 2, 0, 1) 100%); /* The Gradient Border */

    /* 4. Clip the backgrounds */
    background-origin: border-box;
    background-clip: padding-box, border-box;

    /* Basic Input Styles */
    font-size: 16px;
    outline: none;
}

/* Optional: Focus state */
.gradient-input:focus {
    border: 6px solid transparent;
    box-shadow: 0px 5px 15px 5px rgba(0,0,0,0.2);
    /* You can change the gradient on focus if desired */
    background-image:
            linear-gradient(white, white),
            linear-gradient(112deg,rgba(119, 21, 12, 1) 0%, rgba(251, 2, 0, 1) 100%);
}


.video-container {
    max-width: calc( (100vh - 250px) / 0.5625 );
    z-index: 10;
}

#logo-small {
    height: 50px;
}

#prestream {
    background-color: #830002;
}

/* md */
@media (min-width: 768px) {
    .huge {
        font-size: 3.2rem;
        line-height: 3.5rem;
    }

    #decor-1 {
        top: 0;
        left: 0;
        width: 18vw;
    }

    #decor-2 {
        position: absolute;
        bottom: 0;
        right: 0 ;
        width: 20vw;
    }

    #btn-giris {
        width: 250px;
    }
}

/* lg */
@media (min-width: 992px) {

    #logo-small {
        height: 100px;
    }

    .huge {
        font-size: 3.7rem;
        line-height: 4rem;
    }

    .small {
        font-size: 1.6rem;
        line-height: 1.8rem;
    }

    .normal {
        font-size: 2rem;
        line-height: 2.3rem;
    }

    .form-label {
        font-size: 1.2rem;
    }

    #frm-register .form-control {
        font-size: 2rem;
        border-radius: 26px;
    }

    #logo {
        max-height: 75px;
    }

}

/* xl */
@media (min-width: 1200px) {
    .form-label {
        font-size: 1.6 rem;
    }

    .huge {
        font-size: 4rem;
        line-height: 4.3rem;
    }

    #center-text {
        width: 75vw;
    }
}

/* xl */
@media (min-width: 1400px) {

    .huge {
        font-size: 5rem;
        line-height: 5.5rem;
    }

}


